Loading...
Searching...
No Matches
Ui::CScreenModList Class Reference

This class is the front-end for the CModManager. More...

`#include <src/ui/screen/screen_mod_list.h>`

Inheritance diagram for Ui::CScreenModList:
[legend]

## Public Member Functions

| CScreenModList (CMainDialog *dialog, CModManager *modManager)
void | CreateInterface () override
bool | EventProcess (const Event &event) override

## Protected Member Functions

void | FindMods ()
void | ApplyChanges ()
void | CloseWindow ()
void | UpdateAll ()
void | UpdateModList ()
void | UpdateModDetails ()
void | UpdateModSummary ()
void | UpdateEnableDisableButton ()
void | UpdateApplyButton ()
void | UpdateUpDownButtons ()
Protected Member Functions inherited from Ui::CScreen
void | CreateVersionDisplay ()
void | SetBackground (const std::string &filename, bool scaled=false)

## Protected Attributes

Ui::CMainDialog * | m_dialog
CModManager * | m_modManager
size_t | m_modSelectedIndex = 0
Protected Attributes inherited from Ui::CScreen
CRobotMain * | m_main
CInterface * | m_interface
CApplication * | m_app
CEventQueue * | m_eventQueue
Gfx::CEngine * | m_engine
CSoundInterface * | m_sound
const Math::Point | dim = Math::Point(32.0f/640.0f, 32.0f/480.0f)
const float | ox = 3.0f/640.0f
const float | oy = 3.0f/480.0f
const float | sx = (32.0f+2.0f)/640.0f
const float | sy = (32.0f+2.0f)/480.0f

## Detailed Description

This class is the front-end for the CModManager.

## Member Function Documentation

## CreateInterface()

void Ui::CScreenModList::CreateInterface | ( |  | ) |

override virtual

Implements Ui::CScreen.

## EventProcess()

bool Ui::CScreenModList::EventProcess | ( | const Event & | event | ) |

override virtual

Implements Ui::CScreen.

The documentation for this class was generated from the following files:

- src/ui/screen/screen_mod_list.h
- src/ui/screen/screen_mod_list.cpp